Subject: Re: bug#23233: 25.0.92; Crash after doing much work in Proof General

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Apr 2016 22:48:45 +0300

> From: John Wiegley <[email-masked]>
> Date: Tue, 05 Apr 2016 22:08:53 -0700
> 
> After using Emacs (built just today) for many hours, I found myself needing to
> kill a Coq buffer, which apparently prompted a GC.  It was during this GC that
> it died.
> 
> Nothing that I was doing was out of the ordinary for me, and Emacs has been
> running strong for weeks, so there's a subtle edge case here that I'm unable
> to reduce into something smaller.
> 
> I'm reporting this in case it's something that can be gleaned from reading the
> trace.  Otherwise, feel free to close and I will keep looking for a pattern.
> 
>     http://dl.dropbox.com/u/137615/info.txt

How much stack do you have there for the Emacs executable?  The stack
trace looks like infinite recursion to me, repeating this sequence ad
nauseam:

    frame #27912: 0x0000000100330ae4 Emacs`call1 + 68
    frame #27913: 0x000000010034d407 Emacs`mapcar1 + 1095
    frame #27914: 0x0000000100350fc5 Emacs`Fmapcar + 15109
    frame #27915: 0x000000010032fac8 Emacs`Ffuncall + 1432
    frame #27916: 0x00000001003bf9bc Emacs`exec_byte_code + 5196
    frame #27917: 0x00000001003319e3 Emacs`funcall_lambda + 2739
    frame #27918: 0x000000010032fdeb Emacs`Ffuncall + 2235
    frame #27919: 0x00000001003bf9bc Emacs`exec_byte_code + 5196
    frame #27920: 0x00000001003319e3 Emacs`funcall_lambda + 2739
    frame #27921: 0x000000010032fdeb Emacs`Ffuncall + 2235

with minor variations.  This starts from running a hook:

    frame #28069: 0x000000010033072c Emacs`run_hook_with_args + 1308
    frame #28070: 0x00000001003301f4 Emacs`Frun_hook_with_args + 36
    frame #28071: 0x00000001003301bf Emacs`run_hook + 31
    frame #28072: 0x0000000100330177 Emacs`Frun_hooks + 55

so maybe one of your hooks incurs infinite recursion?